<?php

namespace Oro\Bundle\CalendarBundle\Migrations\Schema\v1_14;

use Doctrine\DBAL\Schema\Schema;
use Oro\Bundle\EntityBundle\EntityConfig\DatagridScope;
use Oro\Bundle\EntityExtendBundle\EntityConfig\ExtendScope;
use Oro\Bundle\MigrationBundle\Migration\Migration;
use Oro\Bundle\MigrationBundle\Migration\QueryBag;

class AddExtendDescription implements Migration
{
    /**
     * {@inheritdoc}
     */
    public function up(Schema $schema, QueryBag $queries)
    {
        $table = $schema->getTable('oro_system_calendar');
        if (!$table->hasColumn('extend_description')) {
            $table->addColumn(
                'extend_description',
                'text',
                [
                    'oro_options' => [
                        'extend'    => ['is_extend' => true, 'owner' => ExtendScope::OWNER_CUSTOM],
                        'datagrid'  => ['is_visible' => DatagridScope::IS_VISIBLE_FALSE],
                        'merge'     => ['display' => true],
                        'dataaudit' => ['auditable' => true],
                        'form'      => ['type' => 'oro_resizeable_rich_text'],
                        'view'      => ['type' => 'html'],
                    ]
                ]
            );
        }
    }
}
